Bug 205432 - [exp-run] Mk/bsd.gnome.mk and Mk/bsd.mate.mk: Move to to USES
Summary: [exp-run] Mk/bsd.gnome.mk and Mk/bsd.mate.mk: Move to to USES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL: https://reviews.freebsd.org/D3653
Keywords: needs-qa, patch
Depends on:
Blocks: 206019
  Show dependency treegraph
 
Reported: 2015-12-19 12:09 UTC by Koop Mast
Modified: 2016-02-07 19:46 UTC (History)
1 user (show)

See Also:
kwm: exp-run?


Attachments
[patch] move bsd.gnome.mk and bsd.mate.mk to USES (81.09 KB, patch)
2015-12-19 12:09 UTC, Koop Mast
no flags Details | Diff
Move bsd.gnome.mk and bsd.mate.mk to Mk/Uses v2 (47.54 KB, patch)
2015-12-25 21:25 UTC, Koop Mast
no flags Details | Diff
Proposed patch, which moves _INCLUDE_USES_GNOME_POST_MK a bit upper (47.01 KB, patch)
2015-12-27 11:30 UTC, Antoine Brodin
no flags Details | Diff
v3: fix the ports that failed with the v2 patch (52.07 KB, patch)
2016-01-13 12:20 UTC, Koop Mast
no flags Details | Diff
v4: Add CHANGES entry, bump some more ports (88.46 KB, patch)
2016-02-01 15:29 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2015-12-19 12:09:48 UTC
Created attachment 164384 [details]
[patch] move bsd.gnome.mk and bsd.mate.mk to USES

Move bsd.gnome.mk and bsd.mate.mk to USES. This patch has been in use for a while now in the GNOME development repo.

bsd.port.mk has some migration code so all ports can be migrated to the new USES after this patch is committed. CHANGES and bsd.sanity.mk updates are included.

This patch is from: https://reviews.freebsd.org/D3653 .
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-19 12:17:58 UTC
Fill in the URL field for Koop :]
Comment 2 Antoine Brodin freebsd_committer 2015-12-20 06:38:21 UTC
I have lots of errors:

make: "/usr/ports/Mk/bsd.sanity.mk" line 82: Malformed conditional (defined(USE_GNOME) && ${USES:Ngnome})
make: Fatal errors encountered -- cannot continue/usr/local/share/poudriere/bulk.sh: cannot create /poudriere/data/.m/102amd64-default-PR205432/ref/.p/var/cache/pkgname-origin/
make: stopped in /usr/ports/accessibility/rubygem-atk: No such file or directory
make: "/usr/ports/Mk/Uses/mate.mk" line 0: 1 open conditional
make: "/usr/ports/Mk/Uses/mate.mk" line 0: 1 open conditional
make: Fatal errors encountered -- cannot continue/usr/local/share/poudriere/bulk.sh: cannot create /poudriere/data/.m/102amd64-default-PR205432/ref/.p/var/cache/pkgname-origin/
make: stopped in /usr/ports/archivers/engrampa: No such file or directory
make: "/usr/ports/Mk/Uses/mate.mk" line 0: 1 open conditional
make: "/usr/ports/Mk/Uses/mate.mk" line 0: 1 open conditional
make: Fatal errors encountered -- cannot continue/usr/local/share/poudriere/bulk.sh: cannot create /poudriere/data/.m/102amd64-default-PR205432/ref/.p/var/cache/pkgname-origin/
make: stopped in /usr/ports/audio/mate-media: No such file or directory
make: "/usr/ports/Mk/bsd.sanity.mk" line 82: Malformed conditional (defined(USE_GNOME) && ${USES:Ngnome})
make: Fatal errors encountered -- cannot continue/usr/local/share/poudriere/bulk.sh: cannot create /poudriere/data/.m/102amd64-default-PR205432/ref/.p/var/cache/pkgname-origin/
make: stopped in /usr/ports/audio/rio500: No such file or directory
make: "/usr/ports/Mk/bsd.sanity.mk" line 82: Malformed conditional (defined(USE_GNOME) && ${USES:Ngnome})
make: Fatal errors encountered -- cannot continue/usr/local/share/poudriere/bulk.sh: cannot create /poudriere/data/.m/102amd64-default-PR205432/ref/.p/var/cache/pkgname-origin/
make: stopped in /usr/ports/audio/snd: No such file or directory
Comment 3 Koop Mast freebsd_committer 2015-12-25 21:25:33 UTC
Created attachment 164643 [details]
Move bsd.gnome.mk and bsd.mate.mk to Mk/Uses v2

Drop bsd.sanity.mk changes until I can get my head around the logic. It doesn't block the patch in anyway.
Comment 4 Antoine Brodin freebsd_committer 2015-12-27 08:34:18 UTC
Can you regenerate the patch with  --patch-compatible or --show-copies-as-adds  ?
Comment 5 Antoine Brodin freebsd_committer 2015-12-27 08:56:20 UTC
This changes the dependencies of some ports that set USE_GNOME after including bsd.port.pre.mk:

-archivers/peazip accessibility/atk
-archivers/peazip devel/glib20
-archivers/peazip x11-toolkits/gtk20
-archivers/peazip x11-toolkits/pango
-devel/dee devel/py-gobject3
-multimedia/avidemux textproc/libxslt
-multimedia/avidemux-cli textproc/libxslt
-multimedia/avidemux-plugins textproc/libxslt
-multimedia/avidemux-qt4 textproc/libxslt
-multimedia/winff x11-toolkits/gtk20
+multimedia/winff graphics/gdk-pixbuf2
+multimedia/winff graphics/gtk-update-icon-cache
-net-im/libpurple accessibility/atk
-net-im/libpurple devel/ORBit2
-net-im/libpurple devel/gconf2
-net-im/libpurple devel/libIDL
-net-im/libpurple x11-toolkits/gtk20
-net-im/libpurple x11-toolkits/pango
-net-p2p/transmission-remote-gui accessibility/atk
-net-p2p/transmission-remote-gui devel/glib20
-net-p2p/transmission-remote-gui x11-toolkits/gtk20
-net-p2p/transmission-remote-gui x11-toolkits/pango
Comment 6 Antoine Brodin freebsd_committer 2015-12-27 09:01:46 UTC
I believe the :

+
+.if defined(_POSTMKINCLUDED) && !defined(_INCLUDE_USES_GNOME_POST_MK)
+_INCLUDE_USES_GNOME_POST_MK=     yes
+

should be moved to the place where there used to be:

-
-.if defined(_POSTMKINCLUDED) && !defined(Gnome_Post_Include)
-
Comment 7 Antoine Brodin freebsd_committer 2015-12-27 11:30:38 UTC
Created attachment 164720 [details]
Proposed patch, which moves _INCLUDE_USES_GNOME_POST_MK a bit upper
Comment 8 Antoine Brodin freebsd_committer 2015-12-27 22:32:43 UTC
Ah no,  this won't work because of _USE_GNOME check Uses/autoreconf.mk ...
Comment 9 Antoine Brodin freebsd_committer 2015-12-27 22:33:12 UTC
Assign back,  this needs some changes.
Comment 10 Koop Mast freebsd_committer 2016-01-13 12:20:11 UTC
Created attachment 165495 [details]
v3: fix the ports that failed with the v2 patch
Comment 11 Koop Mast freebsd_committer 2016-01-13 12:21:20 UTC
over to portmgr@ for new exp-run.
Comment 12 Antoine Brodin freebsd_committer 2016-01-15 18:32:38 UTC
I found a few other issues with grep:

audio/jokosher/Makefile:.include <bsd.port.pre.mk>
audio/jokosher/Makefile:USE_GNOME+=     pygnome2

emulators/darcnes/Makefile:.include <bsd.port.pre.mk>
emulators/darcnes/Makefile:USE_GNOME=   gtk12

multimedia/mpeg4ip/Makefile:.include <bsd.port.pre.mk>
multimedia/mpeg4ip/Makefile:USE_GNOME+= esound

multimedia/mplayer/Makefile:.include <bsd.port.pre.mk>
multimedia/mplayer/Makefile:USE_GNOME+= gtk20

sysutils/ntfsprogs/Makefile:.include <bsd.port.pre.mk>
sysutils/ntfsprogs/Makefile:USE_GNOME=  gnomevfs2

Could you add a note in CHANGES that using USE_GNOME after bsd.port.pre.mk is forbidden too?
Comment 13 Koop Mast freebsd_committer 2016-02-01 15:29:12 UTC
Created attachment 166402 [details]
v4: Add CHANGES entry, bump some more ports

Fix ports reported by antoine in comment #12, and add/update CHANGES entry.
Comment 14 Antoine Brodin freebsd_committer 2016-02-03 15:42:25 UTC
In USES=mate:  icontheme_DETECT was changed to ${LOCALBASE}/share/icons/mate/index.theme

There is a problem with multimedia/mplayer:  Makefile.optvars has to be included before  bsd.port.options.mk  for the helpers to work
Comment 15 Koop Mast freebsd_committer 2016-02-04 13:15:45 UTC
(In reply to Antoine Brodin from comment #14)
# In USES=mate:  icontheme_DETECT was changed to
# ${LOCALBASE}/share/icons/mate/index.theme

Fixed the icontheme line in my working copy. I apparenly miss merged the recent commit to Mk/bsd.mate.mk wrong in my WIP.

# There is a problem with multimedia/mplayer:  Makefile.optvars has
# to be included before  bsd.port.options.mk  for the helpers to work

Isn't this already the case? The the diff from my WIP below:

Index: Makefile
===================================================================
--- Makefile    (revision 407720)
+++ Makefile    (working copy)
@@ -48,7 +48,7 @@
 USES+=         iconv pkgconfig

 .include "${.CURDIR}/../../multimedia/mplayer/Makefile.optvars"
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>

 CONFIGURE_ARGS+=       --disable-arts \
                        --disable-directfb \
Comment 16 Koop Mast freebsd_committer 2016-02-04 13:18:27 UTC
Euh I don't know what happend, my WIP was correct by the v4 patch did have it wrong for mplayer. Hmm Might have fixed it and forgot about it. But didn't regen the patch I send in, sorry about that.
Comment 17 Antoine Brodin freebsd_committer 2016-02-06 11:36:20 UTC
Exp-run was fine  (patch v4 + icontheme_DETECT changed in mate.mk + Makefile.optvars/bsd.port.options.mk swapped in multimedia/mplayer)
Comment 18 commit-hook freebsd_committer 2016-02-07 19:44:08 UTC
A commit references this bug:

Author: kwm
Date: Sun Feb  7 19:43:58 UTC 2016
New revision: 408449
URL: https://svnweb.freebsd.org/changeset/ports/408449

Log:
  Move Mk/bsd.gnome.mk and Mk/bsd.mate.mk to Mk/Uses/.

  To use the GNOME or MATE components activate it by adding gnome
  or mate to USES. The usage of USE_GNOME/INSTALL_ICONS and for
  example GLIB_SCHEMAS has stayed the same.

  Like with USES, the use of USE_GNOME and so after bsd.port.pre.mk
  is now forbidden. And adapt ports that where still doing that.

  Exp-runs done by:	antoine@

  PR:		205432
  Reviewed by:	antoine@, mat@
  Approved by:	portmgr (antoine@)
  Differential Revision:	https://reviews.freebsd.org/D3653

Changes:
  head/CHANGES
  head/Mk/Uses/gnome.mk
  head/Mk/Uses/mate.mk
  head/Mk/bsd.gnome.mk
  head/Mk/bsd.mate.mk
  head/Mk/bsd.port.mk
  head/archivers/peazip/Makefile
  head/audio/jokosher/Makefile
  head/devel/dee/Makefile
  head/emulators/darcnes/Makefile
  head/multimedia/avidemux/Makefile.common
  head/multimedia/mpeg4ip/Makefile
  head/multimedia/mplayer/Makefile
  head/multimedia/winff/Makefile
  head/net-im/libpurple/Makefile
  head/net-p2p/transmission-remote-gui/Makefile
  head/sysutils/ntfsprogs/Makefile